## rust-in-toto 0.4.0

=== Makefile ===
.PHONY: help clean dev-docs
.DEFAULT_GOAL := help

clean: ## Remove temp/useless files
	@find . -name '*.rs.bk' -type f -delete

dev-docs: ## Generate the documentation for all modules (dev friendly)
	@cargo rustdoc --all-features --open -- --no-defaults --passes "collapse-docs" --passes "unindent-comments"

help: ## Print this message
	@awk 'BEGIN {FS = ":.*?## "} /^[0-9a-zA-Z_-]+:.*?## / {printf "\033[36m%16s\033[0m : %s\n", $$1, $$2}' $(MAKEFILE_LIST)

=== debian/changelog ===
rust-in-toto (0.4.0-1) unstable; urgency=medium

  * Package in-toto 0.4.0 from crates.io using debcargo 2.7.5

 -- kpcyrd <git@rxv.cc>  Thu, 12 Dec 2024 14:57:24 +0100

=== debian/control ===
Source: rust-in-toto
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-chrono-0.4+clock-dev <!nocheck>,
 librust-chrono-0.4+serde-dev <!nocheck>,
 librust-data-encoding-2+default-dev <!nocheck>,
 librust-derp-0.0.14+default-dev <!nocheck>,
 librust-glob-0.3+default-dev <!nocheck>,
 librust-itoa-1+default-dev <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-path-clean-1+default-dev (>= 1.0.1-~~) <!nocheck>,
 librust-pem-3+default-dev <!nocheck>,
 librust-ring-0.17+default-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-serde-json-1+default-dev <!nocheck>,
 librust-strum-0.26+default-dev <!nocheck>,
 librust-strum-macros-0.26+default-dev <!nocheck>,
 librust-thiserror-1+default-dev <!nocheck>,
 librust-untrusted-0.9+default-dev <!nocheck>,
 librust-walkdir-2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/in-toto]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/in-toto
Homepage: https://in-toto.io
X-Cargo-Crate: in-toto
Rules-Requires-Root: no

Package: librust-in-toto-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-chrono-0.4+clock-dev,
 librust-chrono-0.4+serde-dev,
 librust-data-encoding-2+default-dev,
 librust-derp-0.0.14+default-dev,
 librust-glob-0.3+default-dev,
 librust-itoa-1+default-dev,
 librust-log-0.4+default-dev,
 librust-path-clean-1+default-dev (>= 1.0.1-~~),
 librust-pem-3+default-dev,
 librust-ring-0.17+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-macros-0.26+default-dev,
 librust-thiserror-1+default-dev,
 librust-untrusted-0.9+default-dev,
 librust-walkdir-2+default-dev
Provides:
 librust-in-toto+default-dev (= ${binary:Version}),
 librust-in-toto-0-dev (= ${binary:Version}),
 librust-in-toto-0+default-dev (= ${binary:Version}),
 librust-in-toto-0.4-dev (= ${binary:Version}),
 librust-in-toto-0.4+default-dev (= ${binary:Version}),
 librust-in-toto-0.4.0-dev (= ${binary:Version}),
 librust-in-toto-0.4.0+default-dev (= ${binary:Version})
Description: In-toto - Rust source code
 Source code for Debianized Rust crate "in-toto"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test in-toto 0.4.0 --all-targets --all-features
Features: test-name=rust-in-toto:@
Depends: dh-cargo (>= 31), rustc, librust-assert-json-diff-2+default-dev (>= 2.0.2-~~), librust-lazy-static-1+default-dev, librust-maplit-1+default-dev, librust-matches-0.1+default-dev (>= 0.1.8-~~), librust-once-cell-1+default-dev (>= 1.10.0-~~), librust-pretty-assertions-1+default-dev (>= 1.3-~~), librust-rstest-0.17+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test in-toto 0.4.0 --all-targets
Features: test-name=librust-in-toto-dev:default
Depends: dh-cargo (>= 31), rustc, librust-assert-json-diff-2+default-dev (>= 2.0.2-~~), librust-lazy-static-1+default-dev, librust-maplit-1+default-dev, librust-matches-0.1+default-dev (>= 0.1.8-~~), librust-once-cell-1+default-dev (>= 1.10.0-~~), librust-pretty-assertions-1+default-dev (>= 1.3-~~), librust-rstest-0.17+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test in-toto 0.4.0 --all-targets --no-default-features
Features: test-name=librust-in-toto-dev:
Depends: dh-cargo (>= 31), rustc, librust-assert-json-diff-2+default-dev (>= 2.0.2-~~), librust-lazy-static-1+default-dev, librust-maplit-1+default-dev, librust-matches-0.1+default-dev (>= 0.1.8-~~), librust-once-cell-1+default-dev (>= 1.10.0-~~), librust-pretty-assertions-1+default-dev (>= 1.3-~~), librust-rstest-0.17+default-dev, librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/in-toto-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/in-toto .*/crates/in-toto/@ANY_VERSION@/download
